<?php

namespace App\View\Components;

use Closure;
use Illuminate\Contracts\View\View;
use Illuminate\View\Component;

class Form extends Component
{
    public string $id;
    public string $method;
    public string $action;

    public function __construct(
        string $id,
        string $method = 'POST',
        string $action = '',
    ) {
        $this->id = $id;
        $this->method = $method;
        $this->action = $action;
    }

    public function render(): View|Closure|string
    {
        return view('components.form');
    }
}
